http-semantics-0.3.0: HTTP senmatics libarry

Safe Haskell | None
Language | Haskell2010

Network.HTTP.Semantics.Server.Internal

Synopsis

- newtype Request = Request InpObj
- newtype Response = Response OutObj
- data Aux = Aux {
  - auxTimeHandle :: Handle
  - auxMySockAddr :: SockAddr
  - auxPeerSockAddr :: SockAddr
  }

# Documentation

newtype Request Source #

Request from client.

Constructors

Request InpObj |

#### Instances

Instances details

Show Request Source # |
Instance details Defined in Network.HTTP.Semantics.Server.Internal Methods showsPrec :: Int -> Request -> ShowS Source # show :: Request -> String Source # showList :: [Request] -> ShowS Source #

newtype Response Source #

Response from server.

Constructors

Response OutObj |

#### Instances

Instances details

Show Response Source # |
Instance details Defined in Network.HTTP.Semantics.Server.Internal Methods showsPrec :: Int -> Response -> ShowS Source # show :: Response -> String Source # showList :: [Response] -> ShowS Source #

data Aux Source #

Additional information.

Constructors

Aux |

Fields

- auxTimeHandle :: Handle

  Time handle for the worker processing this request and response.

- auxMySockAddr :: SockAddr

  Local socket address copied from `Config`.

- auxPeerSockAddr :: SockAddr

  Remove socket address copied from `Config`.